#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>

void ubaci_na_pocetak_niza(int x[],int *n, int broj) {
	*n = *n + 1;
	//Pomeri sve elemente za jedno mesto udesno
	for (int i = *n - 1; i > 0; i--){
		x[i] = x[i - 1];
	}
	x[0] = broj;
}

void napuni_niz(int niz[], int *n) {
	int broj;
	int br_el;

	printf("\nUnesite koliko zelite novih elemenata u nizu: ");
	scanf("%d", &br_el);

	for (int i = 1; i <= br_el; i++){
		printf("\nUnesite %d. element niza: ", i);
		/*scanf("%d", &niz[i]);*/
		//Ubaci element na pocetak niza
		scanf("%d", &broj);
		ubaci_na_pocetak_niza(niz, n, broj);
	}
}

void prikazi_niz(int niz[], int n) {
	for (int i = 0; i < n; i++){
		printf("%d\t", niz[i]);
	}
}

int postoji(int x[], int n, int broj) {
	for (int i = 0; i < n; i++){
		if (x[i] == broj) {
			return i;
		}
	}
	return -1;
}

void formiraj_niz_bez_ponavljanja(int x[],int n,int y[],int *m) {
	*m = 0; //Broj elemenata niza y je na pocetku 0
	for (int i = 0; i < n; i++){
		//Da li se tekuci element niza x nalazi u nizu y
		int indeks = postoji(y, *m, x[i]); //Vrati -1 ako ne postoji ili indeks na kom se nalazi trazeni broj
		if (indeks == -1) {
			ubaci_na_pocetak_niza(y, m, x[i]);
		}
		else {
			printf("\nBroj %d se nalazi na %d. poziciji", x[i], indeks + 1);
		}
	}
}

int main() {
	int x[100];
	int n; //Tekuci broj elemenata niza
	
	n = 0;
	napuni_niz(x, &n);
	printf("\nX: ");
	prikazi_niz(x, n);
	printf("\n");

	ubaci_na_pocetak_niza(x, &n, 5);
	printf("\nX: ");
	prikazi_niz(x, n);
	printf("\n");

	//Formiraj niz y od elemenata niza x bez ponavljanja
	int m = 0; //Broj elemenata niza y
	int y[100];

	m = 0;
	formiraj_niz_bez_ponavljanja(x, n, y, &m);
	printf("\nY: ");
	prikazi_niz(y, m);

	system("pause");
	return 0;
}